> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stats by Date

> Get Channel Stats by Date

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200,
      "message": "OK"
    },
    "stats": [
      {
        "date": "25-07-2025",
        "dateISO": "2025-07-25T00:00:00.000Z",
        "subscriberCount": 416000000,
        "subscriberCountDelta": 0,
        "viewCount": 91305786557,
        "viewCountDelta": 101813740,
        "videoCount": 887,
        "videoCountDelta": 1,
        "estimatedLowRevenueUsd": 65384,
        "estimatedHighRevenueUsd": 182298,
        "estimatedRevenueUsd": 123841,
        "dayOfWeek": "FRIDAY",
        "isToday": false
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/youtube-channel-stats-date
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/youtube-channel-stats-date:
    get:
      tags:
        - Workflow
      description: Triggers the workflow youtube-channel-stats-date
      operationId: get_wf_youtube-channel-stats-date
      parameters:
        - name: id
          in: query
          required: true
          description: >-
            **masterID**: the id of the Social Account, to get this you need to
            call the endpoint **Get Profile by URL** OR **Get Channel Details**
          schema:
            type: string
        - name: includeProfile
          in: query
          required: false
          description: >-
            If you would like to get the channel profile and details set this to
            `true`
          schema:
            type: boolean
        - name: date
          in: query
          required: true
          description: 'A date within the last 365 days, Date format: yyyy-mm-dd'
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````